org.apache.torque.generator.template.velocity

## Class VelocityTemplateFilterTest

- java.lang.Object
- - org.apache.torque.generator.template.velocity.VelocityTemplateFilterTest

-     public class VelocityTemplateFilterTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityTemplateFilterTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `testCommentAfterWhitespaceLineSpaces()`
    `void` | `testCommentWithoutSpaces()`
    `void` | `testCommentWithSpaces()`
    `void` | `testEmptyInput()`
    `void` | `testEmptyLines()`
    `void` | `testLineStartingWithWhitespaceComment()`
    `void` | `testLineStartingWithWhitespaceNoComment()`
    `void` | `testWhitespaceLine()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityTemplateFilterTest

          public VelocityTemplateFilterTest()

  - ### Method Detail

    - #### setUp

          @BeforeEach
          public void setUp()

    - #### testEmptyInput

          @Test
          public void testEmptyInput()
                                     throws IOException

      Throws:
        `IOException`

    - #### testEmptyLines

          @Test
          public void testEmptyLines()
                                     throws IOException

      Throws:
        `IOException`

    - #### testCommentWithoutSpaces

          @Test
          public void testCommentWithoutSpaces()
                                               throws IOException

      Throws:
        `IOException`

    - #### testCommentWithSpaces

          @Test
          public void testCommentWithSpaces()
                                            throws IOException

      Throws:
        `IOException`

    - #### testWhitespaceLine

          @Test
          public void testWhitespaceLine()
                                         throws IOException

      Throws:
        `IOException`

    - #### testLineStartingWithWhitespaceNoComment

          @Test
          public void testLineStartingWithWhitespaceNoComment()
                                                              throws IOException

      Throws:
        `IOException`

    - #### testLineStartingWithWhitespaceComment

          @Test
          public void testLineStartingWithWhitespaceComment()
                                                            throws IOException

      Throws:
        `IOException`

    - #### testCommentAfterWhitespaceLineSpaces

          @Test
          public void testCommentAfterWhitespaceLineSpaces()
                                                           throws IOException

      Throws:
        `IOException`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.